## kcalcore 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(KF5_VERSION "5.78.0") # handled by release scripts

project(KCalendarCore VERSION ${KF5_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.78.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)

set(REQUIRED_QT_VERSION 5.14.0)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# TODO: remove for KF6
option(KCALENDARCORE_NO_DEPRECATED_NAMESPACE "Disable deprecated KCalCore namespace" OFF)

if(POLICY CMP0053)
  cmake_policy(SET CMP0053 NEW)
endif()

set(KCALENDARCORE_LIB_VERSION ${KF5_VERSION})
ecm_setup_version(PROJECT VARIABLE_PREFIX KCALENDARCORE
  VERSION_HEADER "${KCalendarCore_BINARY_DIR}/kcalendarcore_version.h"
  PACKAGE_VERSION_FILE "${KCalendarCore_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
  SOVERSION 5
)

########### Find packages ###########
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)

set(LibIcal_MIN_VERSION "3.0")
find_package(LibIcal ${LibIcal_MIN_VERSION})
set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
set(HAVE_ICAL_3 TRUE)
add_definitions(-DUSE_ICAL_3)

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarCore")

if (BUILD_QCH)
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CalendarCoreQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5CalendarCoreConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)


add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)

add_definitions(-DQT_NO_FOREACH)

########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
  find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
  add_subdirectory(autotests)
endif()

add_subdirectory(cmake)

########### Install Files ###########
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5CalendarCoreTargets
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  FILE KF5CalendarCoreTargets.cmake
  NAMESPACE KF5::
)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5CalendarCore_QCH
        FILE KF5CalendarCoreQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
endif()

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kcalendarcore_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)
if (NOT KCALENDARCORE_NO_DEPRECATED_NAMESPACE)
  ecm_setup_version(PROJECT VARIABLE_PREFIX KCALCORE
    VERSION_HEADER "${KCalendarCore_BINARY_DIR}/kcalcore_version.h"
  )
  install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/kcalcore_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
  )
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kcalcore 5.68.0

=== debian/changelog ===
kcalcore (5:5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release as part of frameworks (5.68.0)
    - Bump epoch to 5:
  * Refresh patches.
  * Update install files.
  * Move qdebug categories file to new location.
  * Update acc.in for acc test with renamed include.
  * Update symbols from build logs.
  * Update watch file.
  * Follow Debian ABI bump:
    - libkf5calendarcore5abi1 -> libkf5calendarcore5abi2

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:52:24 +0100

kcalcore (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:16:56 +0100

kcalcore (4:19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:54:14 +0100

kcalcore (4:18.12.3-0ubuntu3) eoan; urgency=medium

  * Drop reference to obsolete libical2-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 May 2019 13:24:05 -0700

kcalcore (4:18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:45:02 +0100

kcalcore (4:18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:04:42 +0000

kcalcore (4:18.04.3-0ubuntu2) disco; urgency=medium

  * Follow Debian dropping of autotests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 07 Feb 2019 08:11:54 +0000

kcalcore (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * Install debug categories files
  * Update symbols
  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:17 +0100

kcalcore (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:25:06 +0000

kcalcore (4:17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Bump so name with DebianABIManager due to broken ABI
    changes:
    - libkf5calendarcore5 -> libkf5calendarcore5abi1
  * Refresh symbols from amd64 buildlog

  [ Rik Mills ]
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Add pkg-config to build depends

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:13 +0000

kcalcore (4:17.08.3-0ubuntu4) bionic; urgency=medium

  * Build using libical2-dev for now (v17.11.90 ready for libical3).

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 15:28:07 +0100

kcalcore (4:17.08.3-0ubuntu3) bionic; urgency=medium

  * Drop versioned (build)dependency on libical-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 15:11:31 +0100

kcalcore (4:17.08.3-0ubuntu2) bionic; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 11:52:22 +0000

kcalcore (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on bison exectutable
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:03:38 +0000

kcalcore (4:17.08.0-0ubuntu1) UNRELEASED; urgency=medium

  * New build depend on bison exectutable

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 16 May 2017 09:14:57 +0100

kcalcore (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:34:06 +0100

kcalcore (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:28:53 +0100

kcalcore (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump SO version install file. 
  * New upstream bugfix release

  [ Clive Johnston ]
  * Refreshing symbols
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Refreshing symbols
   - #MISSING entry retained, as .so bump expected
  * Refresh symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:35:14 +0200

kcalcore (4:15.12.3-0ubuntu2) yakkety; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 May 2016 12:59:20 +0000

kcalcore (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:07:42 -0700

kcalcore (4:15.12.1-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 
  * Fix install file. 
  * Undo last change, .so change only for master (unstable).  
  * Now bump .so version in unstable. 

  [ Clive Johnston ]
  * Updating symbols 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:31:58 +0100

kcalcore (4:15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:32 +0100

kcalcore (4:15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:42:32 +0000

kcalcore (4:15.08.2-1) experimental; urgency=medium

  * New upstream release (15.08.2).



=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: bison,
               cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libical-dev,
               libkf5kdelibs4support-dev (>= 5.31.0~),
               pkg-config,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Depends: libical-dev,
         libkf5calendarcore5abi2 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.31.0~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package contains the development files.

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kcalendarcore-([\d.]+)\.tar\.xz

## kcalcore 5.74.0

=== debian/changelog ===
kcalcore (5:5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:34 +0100

kcalcore (5:5.73.0-0ubuntu2) groovy; urgency=medium

  * Update lintian overrides

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 01 Sep 2020 08:39:54 +0100

kcalcore (5:5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:56:17 +0100

kcalcore (5:5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:30:23 +0100

kcalcore (5:5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:38 +0100

kcalcore (5:5.70.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Wrap long lines in changelog entries: 4:16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete field Contact from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update build-deps and deps with the info from cmake.
  * Update Upstream-Name.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:26 +0200

kcalcore (5:5.69.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * New upstream release (5.69.0).
  * Migration to Frameworks.
  * Bump epoch because Frameworks version schema is 5.X.
  * Update upstream signing key.
  * Update build-deps and deps with the info from cmake.
  * Remove not needed patch.
  * Update patch hunks.
  * Use symbols files, as ABI is now stable under Frameworks.
  * Use default dh for Frameworks build.
  * Create libkf5calendarcore-doc package.
  * Add missing file to libkf5calendarcore-dev.
  * Add lintian overrides for libkf5calendarcore-dev.
  * Add Rules-Requires-Root: no.
  * dbgsym-migration was done for stretch and can safely removed now.
  * Add Build-Depends-Package to symbols file.
  * Enable hardening all.
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:56:44 +0200

kcalcore (4:19.08.3-2) unstable; urgency=medium

  [ Sandro Knauß ]
  * Add fix to bump version.

 -- Sandro Knauß <hefee@debian.org>  Sun, 01 Dec 2019 00:09:14 +0100

kcalcore (4:19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:18 +0100

kcalcore (4:19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update patch hunks.
  * Update install files for new upstream release.
  * install files got renamed KCalCore -> KCalendarCore.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:04 +0100

kcalcore (4:18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:48:03 +0100

kcalcore (4:18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Use virtual packages to bundle kdepim.
  * Bump to Compat v12 (no changes needed).
  * Remove not needed break rules (as the versions are already in
    stable).
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Add myself to Uploaders.

 -- Sandro Knauß <hefee@debian.org>  Tue, 24 Sep 2019 00:21:22 +0200

kcalcore (4:18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).
  * Removed acc autopkgtest.
  * Removed testsuite autopkgtest.

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:56:35 +0100

kcalcore (4:18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * Follow stable releases in KDE again.
  * New upstream release (18.08.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:17:36 +0200

kcalcore (4:18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update watch file to match unstable releases, too
  * Update build-deps and deps with the info from cmake
  * Update copyright file for new upstream.
  * Bump Debian-ABI for libkf5calendarcore5 because of ABI breakage to 2.
  * Update patch hunks.

 -- Sandro Knauß <hefee@debian.org>  Thu, 16 Aug 2018 11:00:08 +0200

kcalcore (4:17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:23:34 +0200

kcalcore (4:17.12.2-2) experimental; urgency=medium

  * Team upload.
  * Switch build & runtime dependencies back from libical2-dev to libical-dev,
    as kcalcore does support libical3 now.
  * Update the dependencies of libkf5calendarcore-dev:
    - remove libical-dev, since it is not a public requirement anymore
    - add qtbase5-dev, as the headers use Qt
  * Small changes in copyright.
  * Simplify watch file, and switch it to https.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Mar 2018 07:23:39 +0100

kcalcore (4:17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.2).
  * Update build-deps and deps with the info from cmake
  * Use DebianABIManager to handle libkf5calendarcore5 properly
  * Update library from libkf5calendarcore5 -> libkf5calendarcore5abi1,
    because of ABI breakage.
  * Bump Standards-Version 4.1.3 (no changes needed).
  * Cleanup Build-Dependencies.
  * Update Vcs links to salsa.


=== debian/control ===
Source: kcalcore
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: bison,
               cmake (>= 3.5~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.74.0~),
               libical-dev (>= 2.0~),
               pkg-kde-tools (>> 0.15.15),
               qhelpgenerator-qt5,
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git

Package: libkf5calendarcore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: development files for kcalcore
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.

Package: libkf5calendarcore-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: calendar access framework (documentation)
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5calendarcore5abi2
X-Debian-ABI: 2
X-CMake-Target: KF5CalendarCore
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: calendar access framework
 This library provides access to and handling of calendar data.
 It supports the standard formats iCalendar and vCalendar and the
 group scheduling standard iTIP.
 .
 This package is part of KDE Frameworks 5.

## kcalcore 5.78.0

=== debian/changelog ===
kcalcore (5:5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:19 +0900

kcalcore (5:5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

kcalcore (5:5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kcalcore (5:5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update symbols.
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kcalcore (5:5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:12:33 +0200

kcalcore (5:5.74.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:56 +0200

kcalcore (5:5.70.0-2) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Unregister the old /etc/xdg/kcalcore.categories, and
    /etc/xdg/kcalcore.renamecategories conffiles.
  * Update symbols file for GCC 10. (Closes: #966930)
  * Update lintian overrides.

  [ Helmut Grohne ]
  * Fix FTCBFS: Build-Depends: qttools5-dev. (Closes: #962756)

 -- Pino Toscano <pino@debian.org>  Fri, 28 Aug 2020 12:42:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: kcalcore
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: bison,
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
-               libical-dev (>= 2.0~),
+               extra-cmake-modules (>= 5.78.0~),
+               libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
-               qtbase5-dev (>= 5.12.0~),
-Standards-Version: 4.5.0
+               qtbase5-dev (>= 5.14.0~),
+               qttools5-dev
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://projects.kde.org/projects/kde/pim/kcalcore
+Homepage: https://invent.kde.org/frameworks/kcalendarcore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git
 
@@ -23,8 +26,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends},
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
 Description: development files for kcalcore
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the

## kcalcore 5.80.0

=== debian/changelog ===
kcalcore (5:5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:23 +0000

kcalcore (5:5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:19:58 +0000

kcalcore (5:5.78.0-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Symbols update for armhf and ppc64el.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Jan 2021 21:22:39 +0000

kcalcore (5:5.78.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.78.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jan 2021 09:54:41 +0000

=== debian/control ===
--- 
+++ 
@@ -9,17 +9,17 @@
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.14.0~),
-               qttools5-dev
+               qttools5-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
 
 Package: libkf5calendarcore-dev
 Section: libdevel
@@ -27,7 +27,7 @@
 Multi-Arch: same
 Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Description: development files for kcalcore
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the

## kcalcore 5.86.0

=== debian/changelog ===
kcalcore (5:5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:30 +0100

kcalcore (5:5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:08 +0100

kcalcore (5:5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:38 +0100

kcalcore (5:5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:29 +0100

kcalcore (5:5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Refresh enable_debianabimanager.diff
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:03 +0100

kcalcore (5:5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)
  * Update enable_debianabimanager.diff
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:27:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,

## kcalcore 5.92.0

=== debian/changelog ===
kcalcore (5:5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:25:34 +0000

kcalcore (5:5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:06:58 +0000

kcalcore (5:5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:45:14 +0000

kcalcore (5:5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:14:43 +0000

kcalcore (5:5.88.0-1ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:09:45 +0000

kcalcore (5:5.88.0-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Keep our symbols files.

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Nov 2021 17:27:06 +0000

kcalcore (5:5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:37 +0900

kcalcore (5:5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:16:59 +0000

kcalcore (5:5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:04:21 +0000

kcalcore (5:5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:50:28 +0900

kcalcore (5:5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:45 +0900

kcalcore (5:5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).
  * Update list of installed files.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 10:38:42 +0900

kcalcore (5:5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:52:59 +0900

kcalcore (5:5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:31 +0900

kcalcore (5:5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Update DebianABIManager patch.

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:49:58 +0900

kcalcore (5:5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:17 +0900

kcalcore (5:5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:32 +0900

kcalcore (5:5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:26 +0900

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: kcalcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
-           Norbert Preining <norbert@preining.info>
 Build-Depends: bison,
-               cmake (>= 3.5~),
+               cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalcore
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
 
 Package: libkf5calendarcore-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libkf5calendarcore5abi2 (= ${binary:Version}),
-         qtbase5-dev (>= 5.14.0~),
+         qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for kcalcore
  This library provides access to and handling of calendar data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	-dh_auto_test --no-parallel

## kcalcore 5.98.0

=== debian/changelog ===
kcalcore (5:5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:30:28 +0100

kcalcore (5:5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:02:36 +0100

kcalcore (5:5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)
  * Update symbols.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:28:38 +0100

kcalcore (5:5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:53:57 +0100

kcalcore (5:5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:17:41 +0100

kcalcore (5:5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:21:12 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,

## kcalcore 5.101.0

=== debian/changelog ===
kcalcore (5:5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:19 +0100

kcalcore (5:5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:55 +0100

kcalcore (5:5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:33 +0200

kcalcore (5:5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update symbols from build for 5.97.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:26 +0200

kcalcore (5:5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.
  * Update symbols from build for 5.96.0.
  * Refresh lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:55 +0200

kcalcore (5:5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:01 +0200

kcalcore (5:5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.92.0).
  * Update the list of installed files.
  * Update symbols from build for 5.92.0.
  * New upstream release (5.93.0).
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:43 +0200

kcalcore (5:5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kcalcore
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.98.0~),
+               extra-cmake-modules (>= 5.101.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git
 
 Package: libkf5calendarcore-dev
 Section: libdevel

## kcalcore 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,25 +1,28 @@
-cmake_minimum_required(VERSION 3.5)
-set(KF5_VERSION "5.78.0") # handled by release scripts
+cmake_minimum_required(VERSION 3.16)
+set(KF_VERSION "5.103.0") # handled by release scripts
 
-project(KCalendarCore VERSION ${KF5_VERSION})
+project(KCalendarCore VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.78.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake)
 
-set(REQUIRED_QT_VERSION 5.14.0)
+set(REQUIRED_QT_VERSION 5.15.2)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
+include(KDEGitCommitHooks)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(ECMGenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
+include(ECMGeneratePkgConfigFile)
+include(ECMDeprecationSettings)
 
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
@@ -37,7 +40,7 @@
   cmake_policy(SET CMP0053 NEW)
 endif()
 
-set(KCALENDARCORE_LIB_VERSION ${KF5_VERSION})
+set(KCALENDARCORE_LIB_VERSION ${KF_VERSION})
 ecm_setup_version(PROJECT VARIABLE_PREFIX KCALENDARCORE
   VERSION_HEADER "${KCalendarCore_BINARY_DIR}/kcalendarcore_version.h"
   PACKAGE_VERSION_FILE "${KCalendarCore_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
@@ -45,13 +48,15 @@
 )
 
 ########### Find packages ###########
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Gui)
 
 set(LibIcal_MIN_VERSION "3.0")
+# TODO remove our FindLibIcal.cmake in favor of upstream LibIcalConfig.cmake once the following issues are resolved:
+# https://github.com/libical/libical/pull/510
+# https://bugs.launchpad.net/ubuntu/+source/libical3/+bug/1946963
+# https://bugs.launchpad.net/ubuntu/+source/libical/+bug/1920587
 find_package(LibIcal ${LibIcal_MIN_VERSION})
 set_package_properties(LibIcal PROPERTIES TYPE REQUIRED)
-set(HAVE_ICAL_3 TRUE)
-add_definitions(-DUSE_ICAL_3)
 
 ########### CMake Config Files ###########
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CalendarCore")
@@ -66,25 +71,23 @@
   INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
 )
 
-
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
-
-add_definitions(-DQT_NO_FOREACH)
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+)
 
 ########### Targets ###########
 add_subdirectory(src)
 
 if(BUILD_TESTING)
-  find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
+  find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Test)
   add_subdirectory(autotests)
 endif()
-
-add_subdirectory(cmake)
 
 ########### Install Files ###########
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfig.cmake"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5CalendarCoreConfigVersion.cmake"
+  cmake/FindLibIcal.cmake
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
 )
@@ -106,7 +109,7 @@
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/kcalendarcore_version.h
-  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore COMPONENT Devel
 )
 if (NOT KCALENDARCORE_NO_DEPRECATED_NAMESPACE)
   ecm_setup_version(PROJECT VARIABLE_PREFIX KCALCORE
@@ -114,8 +117,17 @@
   )
   install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/kcalcore_version.h
-    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
+    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF} COMPONENT Devel
   )
 endif()
 
+if (NOT WIN32)
+    ecm_generate_pkgconfig_file(BASE_NAME KF5CalendarCore
+      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KCalendarCore/
+      DEPS "Qt${QT_MAJOR_VERSION}Core Qt${QT_MAJOR_VERSION}Gui"
+    INSTALL)
+endif()
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kcalcore (5:5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:21 +0100

kcalcore (5:5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:59 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.103.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
@@ -40,7 +40,7 @@
 Package: libkf5calendarcore-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Section: doc
 Description: calendar access framework (documentation)
  This library provides access to and handling of calendar data.
@@ -56,7 +56,7 @@
 X-CMake-Target: KF5CalendarCore
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: calendar access framework
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the

## kcalcore 5.104.0

=== debian/changelog ===
kcalcore (5:5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:14:47 +0000

kcalcore (5:5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:42 +0000

kcalcore (5:5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:35 +0000

kcalcore (5:5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:18:51 +0000

kcalcore (5:5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:23 +0000

kcalcore (5:5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kcalcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
            Sandro Knauß <hefee@debian.org>,
 Build-Depends: bison,
                cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                libical-dev (>= 3.0~),
                pkg-kde-tools (>> 0.15.15),
                qhelpgenerator-qt5,
                qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/kcalendarcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcalcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcalcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcalendarcore
 
 Package: libkf5calendarcore-dev
 Section: libdevel
@@ -40,7 +40,7 @@
 Package: libkf5calendarcore-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}
 Section: doc
 Description: calendar access framework (documentation)
  This library provides access to and handling of calendar data.
@@ -56,7 +56,7 @@
 X-CMake-Target: KF5CalendarCore
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: calendar access framework
  This library provides access to and handling of calendar data.
  It supports the standard formats iCalendar and vCalendar and the
